Skip to main content
POST
/
v1.0
/
leads
/
{leadId}
/
property
Update Property Info
curl --request POST \
  --url https://api.lofty.com/v1.0/leads/{leadId}/property \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: <content-type>' \
  --data '
{
  "price": 100000,
  "state": "California",
  "city": "New York",
  "streetAddress": "22348 Regnart RD",
  "zipCode": "25401",
  "county": "<string>",
  "propertyType": "Single Family Home",
  "bedrooms": 3,
  "bathrooms": 2,
  "squareFeet": 100,
  "lotSize": 26.33,
  "parkingSpace": 1,
  "floors": 1,
  "mailAddress": true,
  "id": 123,
  "leadUserId": 123,
  "listingId": "<string>",
  "autoListingId": 123,
  "label": "<string>",
  "note": "<string>",
  "listingStatus": "<string>",
  "labelList": "<string>",
  "pictureUrl": "<string>",
  "siteListingUrl": "<string>",
  "labelType": "<string>",
  "priceMax": 10000000,
  "priceMin": 100000
}
'
{
  "leadId": 651095960136641
}

Documentation Index

Fetch the complete documentation index at: https://developer.lofty.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Authorization
string
required

Bearer [access_token]

Content-Type
string
required

application/json

Path Parameters

leadId
integer<int64>
required

Body

application/json

Lead property or mailing address details

price
integer<int64>

The price Applies to lead routing only if the leadType field is Seller(1)

Example:

100000

state
string

The state Applies to lead routing only if the leadType field is Seller(1)

Example:

"California"

city
string

The city Applies to lead routing only if the leadType field is Seller(1)

Example:

"New York"

streetAddress
string

The street address Applies to lead routing only if the leadType field is Seller(1)

Example:

"22348 Regnart RD"

zipCode
string

The zip code Applies to lead routing only if the leadType field is Seller(1)

Example:

"25401"

county
string

The county Applies to lead routing only if the leadType field is Seller(1)

propertyType
string

Property type: Single Family Home, Multi-Family, Condo, Townhouse, Mobile Home, Manufactured Home, Vacant Land, Commercial.

Example:

"Single Family Home"

bedrooms
integer<int32>

The bed rooms.

Example:

3

bathrooms
number<double>

The bath rooms.

Example:

2

squareFeet
integer<int64>

The square feet.

Example:

100

lotSize
number<double>

The lot size (acreage).

Example:

26.33

parkingSpace
integer<int64>

The parking space.

Example:

1

floors
integer<int32>

The floors.

Example:

1

mailAddress
boolean

If set to true, the address is a mailing address; otherwise, it is a property address.

id
integer<int64>

The property ID. Required when updating an existing mailing address or property address. If not provided, a new address will be created.

leadUserId
integer<int64>
listingId
string
autoListingId
integer<int64>
label
string
note
string
listingStatus
string
labelList
string
pictureUrl
string
siteListingUrl
string
labelType
string
priceMax
integer<int64>
write-only

The max price Applies to lead routing only if the leadType field is Seller(1)

Example:

10000000

priceMin
integer<int64>
write-only

The min price Applies to lead routing only if the leadType field is Seller(1)

Example:

100000

Response

200 - application/json

Successful operation.

Response containing the lead ID.

leadId
integer<int64>

ID of the lead.

Example:

651095960136641